Package org.eclipse.e4.ui.workbench

# Interface UIEvents.UIElement

Enclosing class:
  `UIEvents`

public static interface UIEvents.UIElement

Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACCESSIBILITYPHRASE`
`static final String`
`CONTAINERDATA`
`static final String`
`CURSHAREDREF`
`static final String`
`LOCALIZED_ACCESSIBILITYPHRASE`
`static final String`
`ONTOP`
`static final String`
`PARENT`
`static final String`
`RENDERER`
`static final String`
`TOBERENDERED`
`static final String`
`TOPIC`
Deprecated.
`static final String`
`TOPIC_ACCESSIBILITYPHRASE`
`static final String`
`TOPIC_ALL`
`static final String`
`TOPIC_CONTAINERDATA`
`static final String`
`TOPIC_CURSHAREDREF`
`static final String`
`TOPIC_LOCALIZED_ACCESSIBILITYPHRASE`
`static final String`
`TOPIC_ONTOP`
`static final String`
`TOPIC_PARENT`
`static final String`
`TOPIC_RENDERER`
`static final String`
`TOPIC_TOBERENDERED`
`static final String`
`TOPIC_VISIBLE`
`static final String`
`TOPIC_VISIBLEWHEN`
`static final String`
`TOPIC_WIDGET`
`static final String`
`VISIBLE`
`static final String`
`VISIBLEWHEN`
`static final String`
`WIDGET`

## Field Details

### TOPIC

@Deprecated static final String TOPIC
Deprecated.

See Also:
  - Constant Field Values

### TOPIC_ALL

static final String TOPIC_ALL

See Also:
  - Constant Field Values

### TOPIC_ACCESSIBILITYPHRASE

static final String TOPIC_ACCESSIBILITYPHRASE

See Also:
  - Constant Field Values

### TOPIC_CONTAINERDATA

static final String TOPIC_CONTAINERDATA

See Also:
  - Constant Field Values

### TOPIC_CURSHAREDREF

static final String TOPIC_CURSHAREDREF

See Also:
  - Constant Field Values

### TOPIC_ONTOP

static final String TOPIC_ONTOP

See Also:
  - Constant Field Values

### TOPIC_PARENT

static final String TOPIC_PARENT

See Also:
  - Constant Field Values

### TOPIC_RENDERER

static final String TOPIC_RENDERER

See Also:
  - Constant Field Values

### TOPIC_TOBERENDERED

static final String TOPIC_TOBERENDERED

See Also:
  - Constant Field Values

### TOPIC_VISIBLE

static final String TOPIC_VISIBLE

See Also:
  - Constant Field Values

### TOPIC_VISIBLEWHEN

static final String TOPIC_VISIBLEWHEN

See Also:
  - Constant Field Values

### TOPIC_WIDGET

static final String TOPIC_WIDGET

See Also:
  - Constant Field Values

### TOPIC_LOCALIZED_ACCESSIBILITYPHRASE

static final String TOPIC_LOCALIZED_ACCESSIBILITYPHRASE

Since:
  1.1
See Also:
  - Constant Field Values

### ACCESSIBILITYPHRASE

static final String ACCESSIBILITYPHRASE

See Also:
  - Constant Field Values

### CONTAINERDATA

static final String CONTAINERDATA

See Also:
  - Constant Field Values

### CURSHAREDREF

static final String CURSHAREDREF

See Also:
  - Constant Field Values

### ONTOP

static final String ONTOP

See Also:
  - Constant Field Values

### PARENT

static final String PARENT

See Also:
  - Constant Field Values

### RENDERER

static final String RENDERER

See Also:
  - Constant Field Values

### TOBERENDERED

static final String TOBERENDERED

See Also:
  - Constant Field Values

### VISIBLE

static final String VISIBLE

See Also:
  - Constant Field Values

### VISIBLEWHEN

static final String VISIBLEWHEN

See Also:
  - Constant Field Values

### WIDGET

static final String WIDGET

See Also:
  - Constant Field Values

### LOCALIZED_ACCESSIBILITYPHRASE

static final String LOCALIZED_ACCESSIBILITYPHRASE

Since:
  1.1
See Also:
  - Constant Field Values